#57 Unable to send torrents via the client

open
8
2009-01-17
2009-01-17
Win a 2
No

Azureus 2.5.0.4
AzSMRC Plugin: 1.0.0
AzSMRC: 1.0.0
Java: 1.6.0_11
Windows XP SP3

on client:
1.) Remote -> Server Details
Section "Server Drive Information" doesn't list the dirs, just "Directory not set or not received yet".

2.) "Send Torrent File(s) to Server" Dialog doesn't display the dirs either.

3.) adding a torrent results in disconnection of the client.
console output below

Bug is reproducable easy by installing Azureus, the plugin and connect with AzSMR.

Serverlog:
[5:57:21.633] {tracker} Tracker Server: received header 'POST /process.cgi HTTP/1.1'
[5:57:21.633] {plug} [AzSMRC] User: admin has logged in.
[5:57:21.633] {stdout} AzSMRC: User: admin has logged in.
[5:57:21.633] {plug} [AzSMRC] Received request from: 127.0.0.1
[5:57:21.633] {stdout} AzSMRC: Received request from: 127.0.0.1
[5:57:21.633] {plug} [AzSMRC] URL was requested: /process.cgi
[5:57:21.633] {stdout} AzSMRC: URL was requested: /process.cgi
[5:57:21.649] {plug} [AzSMRC] Should handle XML request
[5:57:21.649] {stdout} AzSMRC: Should handle XML request
[5:57:21.649] {plug} [AzSMRC] Content is Gzip encoded.
[5:57:21.649] {stdout} AzSMRC: Content is Gzip encoded.
[5:57:21.649] {plug} [AzSMRC] Usind Gzip Compression for output.
[5:57:21.649] {stdout} AzSMRC: Usind Gzip Compression for output.
[5:57:21.649] {stdout} <?xml version="1.0" encoding="UTF-8"?>
[5:57:21.649] {stdout} <Request version="1.0">
[5:57:21.649] {stdout} <Query switch="globalStats" />
[5:57:21.649] {stdout} <Query switch="addDownload" location="XML">
[5:57:21.649] {stdout} <Torrent>... [binary data] ...</Torrent>
[5:57:21.649] {stdout} </Query>
[5:57:21.789] {stdout} </Request>
[5:57:21.789] {stdout}
[5:57:21.789] {tracker} Tracker Server: received header 'POST /process.cgi HTTP/1.1'
[5:57:21.789] {plug} [AzSMRC] User: admin has logged in.
[5:57:21.789] {stdout} AzSMRC: User: admin has logged in.
[5:57:21.789] {plug} [AzSMRC] Received request from: 127.0.0.1
[5:57:21.789] {stdout} AzSMRC: Received request from: 127.0.0.1
[5:57:21.789] {plug} [AzSMRC] URL was requested: /process.cgi
[5:57:21.789] {stdout} AzSMRC: URL was requested: /process.cgi
[5:57:21.805] {plug} [AzSMRC] Should handle XML request
[5:57:21.805] {stdout} AzSMRC: Should handle XML request
[5:57:21.805] {plug} [AzSMRC] Content is Gzip encoded.
[5:57:21.805] {stdout} AzSMRC: Content is Gzip encoded.
[5:57:21.805] {plug} [AzSMRC] Usind Gzip Compression for output.
[5:57:21.805] {stdout} AzSMRC: Usind Gzip Compression for output.
[5:57:21.805] {stdout} <?xml version="1.0" encoding="UTF-8"?>
[5:57:21.805] {stdout} <Request version="1.0">
[5:57:21.805] {stdout} <Query switch="globalStats" />
[5:57:21.805] {stdout} <Query switch="addDownload" location="XML">
[5:57:21.805] {stdout} <Torrent>... [binary data] ...</Torrent>
[5:57:21.805] {stdout} </Query>
[5:57:21.946] {stdout} </Request>
[5:57:21.946] {stdout}

Client-Log:
[5:57:13.242] {lbms.azsmrc : DEBUG} Timer: GUI mode
[5:57:13.242] {lbms.azsmrc : DEBUG} Connection State: 1
[5:57:13.258] {lbms.azsmrc.client : DEBUG} Request (123B):
[5:57:13.258] {lbms.azsmrc.client : DEBUG} Response (173B 16msec):
[5:57:13.274] {lbms.azsmrc : DEBUG} Connection State: 2
[5:57:13.274] {lbms.azsmrc : DEBUG} Changing Timer: GUI mode
[5:57:18.274] {lbms.azsmrc : DEBUG} Timer: GUI mode
[5:57:18.274] {lbms.azsmrc : DEBUG} Connection State: 1
[5:57:18.289] {lbms.azsmrc.client : DEBUG} Request (123B):
[5:57:18.289] {lbms.azsmrc.client : DEBUG} Response (173B 15msec):
[5:57:18.289] {lbms.azsmrc : DEBUG} Connection State: 2
[5:57:18.336] {lbms.azsmrc : DEBUG} Changing Timer: GUI mode
[5:57:21.617] {lbms.azsmrc.client : DEBUG} Transaction Started
[5:57:21.617] {lbms.azsmrc.client : DEBUG} Transaction Committed (1 items)
[5:57:21.617] {lbms.azsmrc : DEBUG} Connection State: 1
[5:57:21.946] {lbms.azsmrc : DEBUG} Connection State: -1
[5:57:21.961] {lbms.azsmrc : WARN} Connection failed 1 times, delay: 30sec
[5:57:21.961] {lbms.azsmrc : DEBUG} Changing Timer: GUI mode

Discussion

  • Win a 2
    Win a 2
    2009-01-17

    • priority: 5 --> 8
     
  • AzSMRC Debug Exe

     
    Attachments
  • Please start AzSMRC with the Debug exe attached and see if there are any exceptions thrown on the client.
    File Added: AzSMRC_debug.rar

     
  • Win a 2
    Win a 2
    2009-01-18

    Exception thrown at first connect:
    DEBUG [main] (RCMain.java:1247) - Connect!
    DEBUG [main] (RCMain.java:1282) - Changing Timer: GUI mode
    DEBUG [main] (Client.java:205) - Transaction Started
    DEBUG [main] (Client.java:205) - Transaction Started
    DEBUG [main] (Client.java:229) - Transaction Committed (8 items)
    DEBUG [Thread-5] (Client.java:250) - Client connection already established, post
    poned transfer.
    DEBUG [Thread-4] (RCMain.java:794) - Connection State: 1
    DEBUG [Thread-4] (RCMain.java:794) - Connection State: -1
    WARN [Thread-4] (RCMain.java:806) - Connection failed 1 times, delay: 30sec
    DEBUG [Thread-4] (RCMain.java:1282) - Changing Timer: GUI mode
    java.net.SocketException: Unexpected end of file from server
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)

    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
    at java.lang.reflect.Constructor.newInstance(Unknown Source)
    at sun.net.www.protocol.http.HttpURLConnection$6.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unknown Source)
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
    at lbms.azsmrc.remote.client.Client.sendHttpRequest(Client.java:355)
    at lbms.azsmrc.remote.client.Client.access$7(Client.java:298)
    at lbms.azsmrc.remote.client.Client$2.run(Client.java:281)
    at java.lang.Thread.run(Unknown Source)
    Caused by: java.net.SocketException: Unexpected end of file from server
    at sun.net.www.http.HttpClient.parseHTTPHeader(Unknown Source)
    at sun.net.www.http.HttpClient.parseHTTP(Unknown Source)
    at sun.net.www.http.HttpClient.parseHTTPHeader(Unknown Source)
    at sun.net.www.http.HttpClient.parseHTTP(Unknown Source)
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
    at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown Source)
    at lbms.azsmrc.remote.client.Client.sendHttpRequest(Client.java:353)
    ... 3 more

    When opening "send torrent" dialog, when opening "Server Details" or when pushing "Update Drive Info" there happens nothing.

    Sending torrent results in the same error as conneting:
    DEBUG [Thread-25] (RCMain.java:794) - Connection State: 2
    DEBUG [Thread-25] (RCMain.java:1282) - Changing Timer: GUI mode
    DEBUG [main] (Client.java:205) - Transaction Started
    DEBUG [main] (Client.java:229) - Transaction Committed (1 items)
    DEBUG [Thread-26] (RCMain.java:794) - Connection State: 1
    DEBUG [Thread-26] (RCMain.java:794) - Connection State: -1
    WARN [Thread-26] (RCMain.java:806) - Connection failed 1 times, delay: 30sec
    DEBUG [Thread-26] (RCMain.java:1282) - Changing Timer: GUI mode
    java.net.SocketException: Unexpected end of file from server
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)

    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Sou
    rce)
    at java.lang.reflect.Constructor.newInstance(Unknown Source)
    at sun.net.www.protocol.http.HttpURLConnection$6.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at sun.net.www.protocol.http.HttpURLConnection.getChainedException(Unkno
    wn Source)
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown So
    urce)
    at lbms.azsmrc.remote.client.Client.sendHttpRequest(Client.java:355)
    at lbms.azsmrc.remote.client.Client.access$7(Client.java:298)
    at lbms.azsmrc.remote.client.Client$2.run(Client.java:281)
    at java.lang.Thread.run(Unknown Source)
    Caused by: java.net.SocketException: Unexpected end of file from server
    at sun.net.www.http.HttpClient.parseHTTPHeader(Unknown Source)
    at sun.net.www.http.HttpClient.parseHTTP(Unknown Source)
    at sun.net.www.http.HttpClient.parseHTTPHeader(Unknown Source)
    at sun.net.www.http.HttpClient.parseHTTP(Unknown Source)
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown So
    urce)
    at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(Unknown So
    urce)
    at lbms.azsmrc.remote.client.Client.sendHttpRequest(Client.java:353)
    ... 3 more

     
  • Is the standard save directory set?
    Or is there any special character in it that may cause an exception?

     
  • Win a 2
    Win a 2
    2009-01-18

    yes, it is set.
    no special chars, even removed spaces.

    Server: Debian Etch
    Client: Win XP SP3
    This is the setup I am using for a long time. Just upgraded a few weeks ago to 1.0.0

    For testing I setup Azureus 2.5.0.4 locally on my windows machine and used a fresh install of AzSMRC - with this "vanialla setup" and my original setup I can easily reproduce the bug.

    What about saving the file which is send from server to client to have a look at it?

     
  • BELzEBUB
    BELzEBUB
    2009-01-19

    I just want to say i have the same problem. only thing that differs: i am using a gentoo linux and azureus runs in cli mode. switched back to 0.9.9 and everything works fine again.

     
  • Win a 2
    Win a 2
    2009-02-26

    This bug cuts off nearly 80% of the usefullness of AzSMRC :-(
    Any news?
    Can I provide any help? (Test a beta build or something)
    Did you successfully reproduce the bug?